Package org.apache.solr.client.solrj.impl

# Class LBSolrClient.EndpointWrapper

java.lang.Object
org.apache.solr.client.solrj.impl.LBSolrClient.EndpointWrapper

Enclosing class:
  `LBSolrClient`

protected static class LBSolrClient.EndpointWrapper extends Object

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`LBSolrClient.Endpoint`
`getEndpoint()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### getEndpoint

public LBSolrClient.Endpoint getEndpoint()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`